body {
	font-family:Consolas,Monospace;
	font-size:10.5px;
	background-color:#fafafa;
	margin: 8px 8px 0 8px;
}

a { color:#5175c4; }
a.no-underline { text-decoration:none; }
a.no-underline:hover { text-decoration:underline; }
code { color:#1A8600; }
input[type=text] { font-family:Consolas,Monospace; font-size:11px; }

#page {
    padding: 0;
    margin: 0;
    height: 100%;
}

#panel-query, #panel-result {
	display: inline-block;
}

#footer {
	height: 23px;
	padding-top: 5px;
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: #fafafa;;
}

#loader {
	display:none;
	width:270px;
	height:150px;
	position:absolute;
	left:50%;
	top:35%;
	margin:-75px 0 0 -135px;
}

#top {
	height: 25px;
}

#panel-services {
	display:inline-block;
	width: 1000px;
}

#serverStatus{
	display:none;
	font-size:10px;
	margin-left:10px;
}

#message {
	display: inline-block;
	color:#900;
	display:none;
	max-width:500px;
	white-space:nowrap;
	overflow: hidden;
	text-overflow:ellipsis;
	height:20px;
	margin-left: 5px;
	max-width: 550px;
}

.message {
	color:#900;
}

#left, #right {
	float:left;
}

#right {
	padding-left: 10px;
}

#query, #resultQuery {
	width:1000px;
	height:320px;
	margin-bottom:3px;
	font-size:11px;
	font:inherit;
	display: block;
	resize: none;
}

#query {
	resize: vertical;
}

#panel-query-options {
	margin-bottom: 3px;
}

#resultQuery {
	margin-bottom: 8px;
	height: 60px;
}

#remoteresults, #localresults {
	border:none;
	border-top:1px solid #ddd;
	width:990px;
	height:1000px;
	background-color:#fff;
    overflow: auto;
}

#remoteresults {
	display:none;
	overflow:scroll;
	width:965px;
}

#localresults { font-family:Consolas,Monospace; font-size:12px; padding: 0 5px 0 5px; overflow:scroll; }
#localresults pre { font-family:Consolas,Monospace; font-size:11px; tab-size: 4; }
#localresults .string { color: green; }
#localresults .number { color: #e00000; }
#localresults .boolean { color: blue; }
#localresults .null { color: magenta; }
#localresults .key, .error  { font-weight: bold; color: #000; }
#localresults .url { color: #000; font-size: 0.9em; }
#localresults .message { color: #900; }

select,#services { font-size:12px; margin-bottom:5px; }

#services { max-width:520px; }

.clickableJsonError {
	cursor: pointer;
	text-decoration: underline;
	text-decoration-style: dashed;
}

input[type=button], input[type=file] {
	font-size:10px;
	margin-bottom:5px;
}

#queryName {
	font-size:11px;
	width:325px;
}

.divider { color:#ccc; }
.results { display:none; }
.link { cursor:pointer; }
.link:hover { color:#C00; }
.symbol, .setting { color:#999; }
.symbol { font-size: 13px; }
.symbol.copy { opacity: 50%; }
.queries { list-style-type: none; padding-left:0; }
.queries li { line-height:17px; }

#notesDiv {
	border:1px solid black;
	width:400px;
	height:400px;
	position:absolute;
	display:none;
	background-color:#eee;
	padding:2px 0 1px 0;
}

#notes {
	border:0px;
	border-top:1px solid #ddd;
	border-bottom:1px solid #ddd;
	width:396px;
	height:360px;
	resize: none;
	font-family:inherit;
	font-size:inherit;
	margin-bottom: 2px;
}

#notesSize {
	font-size: 0.9em;
}

.notesButton {
	padding:1px;
}

#notesName {
	display:inline-block;
	margin:1px 0 0 2px;
}

.notesClose {
	float:right;
	margin:1px 5px 0 0;
}

#notesDragHandle {
	display: inline-block;
	width:100%;
	cursor: move;
}

#dynamicNotesOutLink {
	display:none;
}

.queryHighlight {
	color:#C00;
}

.group {
	cursor:pointer;
	color:#444;
}

.group-queries {
	padding-left:25px;
	display:none;
}

.hint {
	font-size:0.8em;
	color:#666;
}

.version {
	font-size:0.9em;
	display:inline-block;
	padding-top:2px;
	float:left;
}

.email {
	text-decoration:none;
	font-size:1.1em;
}

.windowClose {
	float:right;
	margin:3px 5px 0 0;
}

#linksBody {
	width:300px;
	height:330px;
}

#linksBody ul {
	list-style-type: none;
	padding-left:5px;
}

#dynamicNotesOutLink, #linksBody li a {
	text-decoration:none;
}

#dynamicNotesOutLink:hover, #linksBody li a:hover {
	text-decoration:underline;
}

#linksBody li a, #linksBody li a:visited {
	color:#5175c4;
}

.linksDivider {
	margin-top:5px;
	font-weight:bold;
	color:#444;
}

#linksLinks {
	margin-top:2px;
}

.invisible-checkbox {
	display: none;
}

.check-box-label { cursor: pointer; font-size:18px; color: #999; }
.check-box-label-off { color:#666; }
.check-box-label-on { display: none; }

.symbol.on { color:green; }

.export.options { display:inline-block; display:none; }
.export .links, #timer, #hashes { border:1px solid #ddd; padding:5px; width:250px; }
.export .links .additional { font-size:0.8em; }
.export .links, #timer, #hashes { width:350px; }

#exportOptions {
	width:300px;
}

#documentFieldsSearch {
	width:150px;
}

.ui-menu .ui-menu-item {
	background-color:#fcfcfc;
 	font-family:Consolas,Monospace;
	font-size:11px;
}

#documentFieldSuggestions {
	display:none;
	margin-top:8px;
	background-color:#fff;
	border:1px solid #ddd;
	max-height:400px;
	overflow-y:scroll;
}

#documentFieldSuggestions ul { margin:3px 1px 3px 1px; list-style-type: none; padding:0; font-size:11px; }
#documentFieldSuggestions li { padding:0; cursor:pointer; }
#documentFieldSuggestions li:hover { background-color:#007fff; color:#fff; }
#documentFieldSuggestions li div { padding:3px; }
#documentFieldSuggestions li div .operators { color:#999; }
#documentFieldSuggestions li div .type { color:#393; }
#documentFieldSuggestions li div .indexed { color:#393; font-style:italic; }

#queryWindowContextMenu {
	display:none;
	background-color:white;
	border:1px solid #ddd;
	padding:5px 6px 5px 6px;
}

#queryWindowContextMenu ul {
	list-style-type: none;
	padding:0 10px 0 0;
	margin:2px 0 2px 0;
}

.context-menu-item { cursor:context-menu; color:#666; }
.context-menu-item-clickable { cursor:pointer; }
.context-menu-item-clickable:hover { color:#5175c4; }
.context-menu-subitems { display:none; }
.context-menu-subitem { cursor:pointer; font-style:normal; color:#000; }
.context-menu-subitem:hover { color:#5175c4; font-style:normal; }
.context-menu-subitem { padding-left:3px; }
.context-menu-header { font-weight:bold; padding-top:5px; cursor:default; }
.context-menu-header:hover { color:#000; }

li.no-dot { list-style-type: none; margin-left:-10px; padding-left:0; }
li.divider { height:10px; }

#timer, #hashes {
	display:none;
	color:#444;
	padding:5px;
}

#timer ul, #hashes ul {
	list-style-type: none;
	margin:4px 0 4px 0;
	padding:0;
}

.small {
	font-size:0.8em;
}

#hashes ul li.diff {
	color: #900;
}

#exportOptions span:not(#purlAcceptHeaderString):not(.clear-accept-headers):not(.add-accept-header) {
	display: inline-block;
	height:19px;
}

#exportOptions hr {
	width:99%;
	height:1px;
	color:#eee;
}

.quick-export {
	margin-bottom: 10px;
	display: none;
}

.export.options hr {
    border: 0;
    height: 0;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.arrow-use-query { color:#aaa; font-size: 1.1em; }
.arrow-use-query-and-service { color:#555; font-size: 1.1em; margin-left: 1px; }

#save-query { margin: 0px 0 5px 0; }

#query-list {
	/*max-height: 500px;*/
	/*height: 1000px;*/
	max-width: 550px;
	overflow-y: auto;
	border-bottom: 1px solid #EEE;
    resize: vertical;
    overflow: auto;
}

#saveResultFilename { width: 200px; }

.token-query-group { display: none; }

.do-blink {
	animation-name: blinker;
	animation-duration: 0.23s;
	animation-timing-function: linear;
	animation-delay: 0.1s;
	animation-iteration-count: 3;
	animation-direction: alternate;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}

.indicator { color: #aaa; }
.indicator.active { color: #f66; }
.padded-slash { padding: 0 2px 0 2px; }
.show-explain-log { display: none; }
.pale-yellow-highlight { background-color: #ffb; }
.left-align { text-align: left; }
.right-align { text-align: right; }
.rotate-table { margin-left: -6px; font-size: 1.1em; }

.full-screen-results {
	border: 1px solid #999 !important;
    position:absolute;
    width:97% !important;
    height:97% !important;
    margin:0 auto;
    padding:0;
    overflow: scroll;
    top: 5px;
    left: 5px;
    z-index: 999;
}

div.icon-container {
    display: inline-block;
    background-repeat: no-repeat;
    width: 15px;
    height: 11px;
    background-size: 117%;
    background-position-y: calc(100% + 4px);
    vertical-align: text-bottom;
    opacity: 0.75;
    margin-left: -2px;
}

/*&#9974;*/
div.icon-container.icon-full-screen {
    background-image: url("images/square_four_corners.png");
}

/*&#129133;*/
div.icon-container.icon-external-link {
    background-image: url("images/wideheaded_north_east_barb_arrow.png");
}

/*&#11175;*/
div.icon-container.icon-rotate-table {
    background-image: url("images/rightwards_triangleheaded_arrow_with_long_tip_downwards.png");
}

div.icon-container.icon-eye {
    background-image: url("images/eye.png");
}

div.icon-container.icon-grip {
    background-image: url("images/light_shade.png");
}

div.icon-container.icon-share {
    background-image: url("images/share.png");
}

div.query-example .service {
	border-bottom: 1px solid #eee;
	padding-bottom: 14px;
}

div.query-example .query {
}

div.query-example .note {
	border-top: 1px solid #eee;
	padding-top: 8px;
}

span.site-coordinates {
	color:#5175c4;
	text-decoration: underline;
	cursor: pointer;
}